# Crow: crow::Trie::Node Struct Reference

crow::Trie::Node Struct Reference

## Public Member Functions

bool | IsSimpleNode () const

## Public Attributes

unsigned | rule_index {}
std::array< unsigned, static_cast< int >(ParamType::MAX)> | param_childrens {}
std::unordered_map< std::string, unsigned > | children

The documentation for this struct was generated from the following file:

- /home/farook/cppsrv/crow-0.3-fordoc/include/crow/routing.h